summaryrefslogtreecommitdiffstats
path: root/ci/run.sh
diff options
context:
space:
mode:
authorQiLiang <liangqi1@huawei.com>2016-01-04 08:58:23 +0000
committerQiLiang <liangqi1@huawei.com>2016-01-04 10:37:03 +0000
commit4307f8d1d2653ea5ba2029bd7720c1ea6a8cdb76 (patch)
tree511496028517b2d0004d0588ccd5ba48f0dcf252 /ci/run.sh
parent09f9a968d1078dc64bd971dd4dcd005c2a05c0e4 (diff)
Add ci run scirpts
JIRA: - Change-Id: I94a0ea01fa7df0e279a605457148fdc4f3f03fb8 Signed-off-by: QiLiang <liangqi1@huawei.com>
Diffstat (limited to 'ci/run.sh')
-rwxr-xr-xci/run.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/ci/run.sh b/ci/run.sh
new file mode 100755
index 00000000..07b25dff
--- /dev/null
+++ b/ci/run.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+set -ex
+
+BOTTLENECKS_REPO=https://gerrit.opnfv.org/gerrit/bottlenecks
+
+SCRIPT_DIR=`cd ${BASH_SOURCE[0]%/*};pwd`
+GERRIT_REFSPEC_DEBUG=$1
+
+if [ x"$GERRIT_REFSPEC_DEBUG" != x ]; then
+ git fetch $BOTTLENECKS_REPO $GERRIT_REFSPEC_DEBUG && git checkout FETCH_HEAD
+fi
+
+$SCRIPT_DIR/../utils/infra_setup/heat_template/HOT_create_instance.sh $GERRIT_REFSPEC_DEBUG
+
+set +ex
+